Boo.Lang.Extensions assembly in Rhino.Commons package references an older version of Boo.Lang than provided

3 views
Skip to first unread message

Beto

unread,
Jan 22, 2010, 5:32:59 PM1/22/10
to HORN Development
Hi

I downloaded the Rhino.Commons package from
http://hornget.net/packages/frameworks/rhino.tools/rhino.commons/rhino.commons-trunk
and the Boo.Lang.Extensions assembly references an older version of
Boo.Lang and Boo.Lang.Compiler (2.0.9.1 instead of 2.0.9.2) is there
anyway to fix this??

Paul Cowan

unread,
Jan 22, 2010, 7:02:39 PM1/22/10
to horn-dev...@googlegroups.com
The various boo library versions doing the rounds have been a constant pain.

I would clone the rhino repo, add the latest boo libraries and send ayende a pull request.

I would also ensure that Rhino.Etl and Rhino.Dsl have all got the same boo libraries.

The boo libraries are a great example of how screwed up everything is.

Cheers

Paul Cowan

Cutting-Edge Solutions (Scotland)

http://thesoftwaresimpleton.blogspot.com/






--
You received this message because you are subscribed to the Google Groups "HORN Development" group.
To post to this group, send email to horn-dev...@googlegroups.com.
To unsubscribe from this group, send email to horn-developme...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/horn-development?hl=en.


Beto

unread,
Jan 22, 2010, 7:38:08 PM1/22/10
to HORN Development
Thanks for the response, a couple of items:

1. Is this where i get the latest source for rhino-tools:
http://github.com/leemhenson/rhino-tools?
2. How do I send a pull request to Ayende?
3. Where can I find the lates boo binaries? I searched here
http://boo.codehaus.org/ but they have different version numbers.

Sorry still new to this.

On Jan 22, 4:02 pm, Paul Cowan <dag...@scotalt.net> wrote:
> The various boo library versions doing the rounds have been a constant pain.
>
> I would clone the rhino repo, add the latest boo libraries and send ayende a
> pull request.
>
> I would also ensure that Rhino.Etl and Rhino.Dsl have all got the same boo
> libraries.
>
> The boo libraries are a great example of how screwed up everything is.
>
> Cheers
>
> Paul Cowan
>
> Cutting-Edge Solutions (Scotland)
>
> http://thesoftwaresimpleton.blogspot.com/
>

> On 22 January 2010 22:32, Beto <humbertofra...@gmail.com> wrote:
>
>
>
> > Hi
>
> > I downloaded the Rhino.Commons package from
>

> >http://hornget.net/packages/frameworks/rhino.tools/rhino.commons/rhin...


> > and the Boo.Lang.Extensions assembly references an older version of
> > Boo.Lang and Boo.Lang.Compiler (2.0.9.1 instead of 2.0.9.2) is there
> > anyway to fix this??
>
> > --
> > You received this message because you are subscribed to the Google Groups
> > "HORN Development" group.
> > To post to this group, send email to horn-dev...@googlegroups.com.
> > To unsubscribe from this group, send email to

> > horn-developme...@googlegroups.com<horn-development%2Bunsubscrib e...@googlegroups.com>

Paul Cowan

unread,
Jan 23, 2010, 8:15:36 AM1/23/10
to horn-dev...@googlegroups.com
Rhino forum is here


Ayende's github account is here:


Cheers

Paul Cowan

Cutting-Edge Solutions (Scotland)

http://thesoftwaresimpleton.blogspot.com/



To unsubscribe from this group, send email to horn-developme...@googlegroups.com.
Reply all
Reply to author
Forward
0 new messages